Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226879 - app-text/sablotron: append-ldflags is used to pass libraries
Summary: app-text/sablotron: append-ldflags is used to pass libraries
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo SGML herd
URL:
Whiteboard:
Keywords:
Depends on: 272244
Blocks: append-ldflags-libs
  Show dependency tree
 
Reported: 2008-06-14 18:12 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-06-20 11:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 18:12:04 UTC
I've made append-ldflags throw a warning when libraries are passed through it
to link them in.

The reason is that LDFLAGS should _not_ be used for libraries, as it has to be
positioned before the list of objects to link together, while libraries should
go after.

This mistake in commandline is what causes as-needed to either fail or not
apply at all (if LDFLAGS are put at the end).

Please fix your package not to pass libraries through LDFLAGS.
Comment 1 Dustin Polke 2009-02-27 16:54:14 UTC
This is fixed in sablotron-1.0.3
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-20 11:49:27 UTC
1.0.1 gone, bug fixed.